//
//  DrinkStore.swift
//  Drink
//
//  Create with Swift
//  Tutorial - Using TipKit on a SwiftUI app
//  https://www.createwithswift.com/using-tipkit-on-a-swiftui-app
//

import Foundation
import Observation

@Observable
class DrinkStore {
    
    var drinks: [Drink] = [
        Drink(name: "Cappuccino", imageName: "cup.and.saucer.fill"),
        Drink(name: "Latte", imageName: "mug.fill"),
        Drink(name: "Espresso",imageName: "cup.and.saucer.fill"),
        Drink(name: "Mocha",imageName: "cup.and.saucer.fill"),
        Drink(name: "Americano",imageName: "cup.and.saucer.fill"),
        Drink(name: "Macchiato",imageName: "cup.and.saucer.fill")
    ]
    
    var favoriteDrinks: [Drink] {
        drinks.filter { $0.isFavorite }
    }
    
    func updateFavoriteStatus(for drink: Drink) {
        if let index = drinks.firstIndex(where: { $0.id == drink.id }) {
            drinks[index].isFavorite.toggle()
        }
    }
}
