//
//  ContentView.swift
//  Drink
//
//  Create with Swift
//  Tutorial - Using TipKit on a SwiftUI app
//  https://www.createwithswift.com/using-tipkit-on-a-swiftui-app
//

import SwiftUI

struct ContentView: View {
    
    @Environment(DrinkStore.self) var drinkViewModel: DrinkStore
    
    var body: some View {
        
        NavigationStack {
            
            List(drinkViewModel.drinks) { drink in
                NavigationLink {
                    DrinkDetailView(drink: drink)
                } label: {
                    DrinkRowView(drink: drink)
                }
            }
            
            .navigationBarTitle("Drink")
            
            .toolbar {
                ToolbarItem(placement: .topBarTrailing) {
                    NavigationLink {
                        FavoriteDrinksView()
                    } label: {
                        Text("Favorites")
                    }
                }
            }
            
        }
        
    }
}

#Preview {
    ContentView()
        .environment(DrinkStore())
}
