//
//  FavoriteDrinksView.swift
//  Drink
//
//  Create with Swift
//  Tutorial - Using TipKit on a SwiftUI app
//  https://www.createwithswift.com/using-tipkit-on-a-swiftui-app
//

import SwiftUI

struct FavoriteDrinksView: View {
    
    @Environment(DrinkStore.self) var viewModel: DrinkStore
    
    var body: some View {
        
        List {
            ForEach(viewModel.favoriteDrinks) { drink in
                NavigationLink {
                    DrinkDetailView(drink: drink)
                } label: {
                    Text(drink.name)
                }
            }
        }
        .navigationTitle("Favorites")
    }
}


#Preview {
    NavigationStack {
        FavoriteDrinksView()
            .environment(DrinkStore())
    }
}
